## cidr 2.3.0

=== Makefile ===
default: fmt lint build install test

build:
	go build -v ./...

install: build
	go install -v ./...

lint:
	golangci-lint run

fmt:
	gofmt -s -w -e .

test:
	go test -v -cover -timeout=120s -parallel=10 ./...

.PHONY: build install lint fmt test

## cidr 2.2.0

=== debian/changelog ===
cidr (2.2.0-2) unstable; urgency=medium

  * debian/docs: Add upstream readme file
  * Bump Standards-Version to 4.7.0 (no changes)
  * debian/cidr.lintian-overrides: Override spelling error false positive

 -- Angel Abad <angel@debian.org>  Sun, 04 Aug 2024 20:18:25 +0200

cidr (2.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1076649)

 -- Angel Abad <angel@debian.org>  Mon, 22 Jul 2024 10:26:56 +0200

=== debian/control ===
Source: cidr
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Angel Abad <angel@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-fatih-color-dev,
               golang-github-spf13-cobra-dev,
               golang-github-stretchr-testify-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/cidr
Vcs-Git: https://salsa.debian.org/go-team/packages/cidr.git
Homepage: https://github.com/bschaatsbergen/cidr
XS-Go-Import-Path: github.com/bschaatsbergen/cidr

Package: cidr
Section: net
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Simplifies IPv4/IPv6 CIDR network prefix management
 cidr simplifies working with IPv4 and IPv6 CIDR network prefixes by featuring
 operations such as counting addresses, detecting overlaps, explaining CIDR
 network prefixes, and subdividing them into subnets.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/bschaatsbergen/cidr/tags .*/v?(\d\S*)\.tar\.gz debian

## cidr 2.3.0

=== debian/changelog ===
cidr (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * Bump Standards-Version to 4.7.2 (no changes)
  * debian/control:
    - Remove obsolete Rules-Requires-Root field
    - Add Static-Built-Using field
  * debian/watch: Update watch file version to 5
  * debian/copyright: Update debian and upstream years

 -- Angel Abad <angel@debian.org>  Mon, 22 Sep 2025 21:19:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Angel Abad <angel@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
                golang-any,
@@ -11,7 +10,7 @@
                golang-github-spf13-cobra-dev,
                golang-github-stretchr-testify-dev
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/cidr
 Vcs-Git: https://salsa.debian.org/go-team/packages/cidr.git
 Homepage: https://github.com/bschaatsbergen/cidr
@@ -23,6 +22,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: Simplifies IPv4/IPv6 CIDR network prefix management
  cidr simplifies working with IPv4 and IPv6 CIDR network prefixes by featuring
  operations such as counting addresses, detecting overlaps, explaining CIDR

=== debian/watch ===
Version: 5
Template: Github
Owner: bschaatsbergen
Project: cidr
